# NOTE: Derived from blib/lib/OpaL/dir.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package OpaL::dir;

#line 121 "blib/lib/OpaL/dir.pm (autosplit into blib/lib/auto/OpaL/dir/getdirlist.al)"
###############################################################################
############################# DOCUMENTATION ###################################
###############################################################################
# Below is the stub of documentation for your module. You better edit it!


###############################################################################
########################### AUTOLOAD METHODS ##################################
###############################################################################

###############################################################################
# Name:		getdirlist
# Description:	Get the filenames for a directory, recursive.
# Argument:	A directory name.
# Returns:	A list of filenames.
# Author:	Ola Lundqvist <ola@inguza.com>
# Date:		2000-05-13
#		2000-06-29	Argument definition.
###############################################################################
sub getdirlist {#($) {
    pdebug(5,"Entering getdirlist.");
    my $dir,@t = ();
    while ($dir = shift) {
	&action(! (opendir (D,$dir)),
		"Trying to open $dir.");
	my $k;
	while ($k = readdir(D)) {
	    if (-f "$dir/$k") {
		if ($k !~ /~$/ &&
		    $k !~ /^#.*#$/
		    ) {
		    push @t, "$dir/$k";
		}
	    }
	    elsif (-d "$dir/$k") {
		if ($k !~ /^\.+$/ &&
		    $k !~ /CVS/
		    ) {
		    push @_, "$dir/$k";
		}
	    }
	}
    }
    return @t;
}

1;
# end of OpaL::dir::getdirlist
